FormTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.taglib.html.jsp.FormTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class FormTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.taglib.html.jsp.FormTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class FormTag

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccept(java.lang.String __accept)`
`void` | `setAcceptCharset(java.lang.String __acceptCharset)`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setAjaxSubmit(java.lang.String __ajaxSubmit)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setData(java.lang.String __data)`
`void` | `setEnctype(java.lang.String __enctype)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOnreset(java.lang.String __onreset)`
`void` | `setOnsubmit(java.lang.String __onsubmit)`
`void` | `setPrependId(java.lang.String __prependId)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setSubmitted(java.lang.String __submitted)`
`void` | `setTarget(java.lang.String __target)`
`void` | `setTimeout(java.lang.String __timeout)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setTarget

    public void setTarget(java.lang.String __target)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setFocus

    public void setFocus(java.lang.String __focus)

### setPrependId

    public void setPrependId(java.lang.String __prependId)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setOnreset

    public void setOnreset(java.lang.String __onreset)

### setOnsubmit

    public void setOnsubmit(java.lang.String __onsubmit)

### setAccept

    public void setAccept(java.lang.String __accept)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### setEnctype

    public void setEnctype(java.lang.String __enctype)

### setStatus

    public void setStatus(java.lang.String __status)

### setAjaxSubmit

    public void setAjaxSubmit(java.lang.String __ajaxSubmit)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setData

    public void setData(java.lang.String __data)

### setAcceptCharset

    public void setAcceptCharset(java.lang.String __acceptCharset)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### setSubmitted

    public void setSubmitted(java.lang.String __submitted)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.